Subject: Re: DirectX
From: [email-masked] (root)

2 Sep 1997 00:41:57 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (Magnus Bondesson)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Magnus Bondesson" at Aug 28, 97 04:27:09 pm
Content-Type: text
Original-Sender: [email-masked]

> 
> 
> I'm trying to use parts of DirectX using the material supplied
> at 
> http://dragon.acadiau.ca/~025668b/develop/cygnus/
> 
> However I miss a macro MAKE_HRESULT and perhaps two constants
> E_FAIL and CLR_INVALID. They are not supplied in the DirectX SDK. 
> I suspect that they are defined in some other Microsoft product.
> 
> MAKE_HRESULT is needed to interpret the error code given when I
> try to create a surface.
> 
> I would be thankful for any help.
> 
In the file <win.h> of lcc-win32 you will find the following definitions:

#define MAKE_HRESULT(s,f,c) \
  ((HRESULT)(((DWORD)(s)<<31)|((DWORD)(f)<<16)|((DWORD)(c))))
#define E_FAIL  _HRESULT_TYPEDEF_(0x80004005L)

And I thank you a lot for your message, since lcc-win32 was missing CLR_INVALID

#define CLR_NONE     0xFFFFFFFF
#define CLR_INVALID  CLR_NONE

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".